Displaying 6 results from an estimated 6 matches for "error_message_period".
2015 Mar 12
1
Re: [PATCH] maint.mk: remove error_message_period check
> -----Original Message-----
> From: Richard W.M. Jones [mailto:rjones@redhat.com]
> Sent: Thursday, March 12, 2015 4:32 PM
> To: Chen, Hanxiao/陈 晗霄
> Cc: libguestfs@redhat.com
> Subject: Re: [Libguestfs] [PATCH] maint.mk: remove error_message_period check
>
> On Wed, Mar 11, 2015 at 01:18:45AM -0400, Chen Hanxiao wrote:
> > As discussed at:
> > https://www.redhat.com/archives/libguestfs/2014-September/msg00215.html
> >
> > Signed-off-by: Chen Hanxiao <chenhanxiao@cn.fujitsu.com>
> > ---
> > mai...
2015 Mar 11
2
[PATCH] maint.mk: remove error_message_period check
...ons(-)
diff --git a/maint.mk b/maint.mk
index b6ec1b5..76759d4 100644
--- a/maint.mk
+++ b/maint.mk
@@ -408,13 +408,6 @@ sc_error_message_uppercase:
{ echo '$(ME): found capitalized error message' 1>&2; \
exit 1; } || :
-# Error messages should not end with a period
-sc_error_message_period:
- @grep -nEA2 '[^rp]error *\(' $$($(VC_LIST_EXCEPT)) \
- | grep -E '[^."]\."' && \
- { echo '$(ME): found error message ending in period' 1>&2; \
- exit 1; } || :
-
sc_file_system:
@prohibit=file''system \
ignore_cas...
2015 Mar 12
0
Re: [PATCH] maint.mk: remove error_message_period check
...index b6ec1b5..76759d4 100644
> --- a/maint.mk
> +++ b/maint.mk
> @@ -408,13 +408,6 @@ sc_error_message_uppercase:
> { echo '$(ME): found capitalized error message' 1>&2; \
> exit 1; } || :
>
> -# Error messages should not end with a period
> -sc_error_message_period:
> - @grep -nEA2 '[^rp]error *\(' $$($(VC_LIST_EXCEPT)) \
> - | grep -E '[^."]\."' && \
> - { echo '$(ME): found error message ending in period' 1>&2; \
> - exit 1; } || :
> -
> sc_file_system:
> @prohibit=file&...
2014 Sep 23
0
[PATCH 02/13] syntax-check: fix error_message_period check
Signed-off-by: Hu Tao <hutao@cn.fujitsu.com>
---
resize/resize.ml | 10 +++++-----
sparsify/copying.ml | 2 +-
src/fuse.c | 2 +-
src/launch-libvirt.c | 4 ++--
src/libvirt-domain.c | 2 +-
v2v/convert_linux.ml | 6 +++---
v2v/input_libvirt.ml | 4 ++--
v2v/lib_ovf.ml | 2 +-
v2v/output_glance.ml | 2 +-
v2v/output_rhev.ml | 6 +++---
v2v/v2v.ml |
2012 Sep 16
3
Remaining syntax-check errors in libguestfs
...cause const-ness of a struct just indicates the
pointer to the string is const, not the string itself. (Phantom types
solve this problem properly and much more generally - having a const
keyword in C is an unnecessary mistake IMHO).
Anyway, the cast seems necessary in the three cases above.
> error_message_period
> php/README-PHP:33: echo ("Error: ".guestfs_last_error ($g)."\n");
> php/README-PHP:44: echo ("Error: ".guestfs_last_error ($g)."\n");
> php/extension/guestfs_php_002.phpt:30: die ("Error: ".guestfs_last_error ($g)."\n");...
2014 Sep 23
27
[PATCH 00/13] syntax-check
Hi Rich,
This series includes patches to make `make syntax-check` pass.
Some of the fix require change to maint.mk, but the file is not in git
repo. Is it intended?
Thanks!
Hu Tao (13):
syntax-check: dirty hack to pass bindtextdomain check
syntax-check: fix error_message_period check
syntax-check: fix makefile_at_at_check
syntax-check: fix prohibit_assert_without_use check
syntax-check: fix prohibit_c_ctype_without_use check
syntax-check: fix prohibit_dirent_without_use check
syntax-check: fix prohibit_empty_lines_at_EOF check
syntax-check: fix prohibit_getopt...